org.apache.fop.render.ps.svg

## Class PSSVGGraphics2D

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - org.apache.xmlgraphics.java2d.AbstractGraphics2D
      - - org.apache.xmlgraphics.java2d.ps.PSGraphics2D
        - - org.apache.fop.render.ps.svg.PSSVGGraphics2D

All Implemented Interfaces:
  Cloneable

    public class PSSVGGraphics2D
    extends org.apache.xmlgraphics.java2d.ps.PSGraphics2D

### Field Summary

### Fields inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D

`clippingDisabled, currentColour, customTextHandler, fallbackTextHandler, gen, pathHashCache, rootG2D, startCache`

### Fields inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D

`gc, inPossibleRecursion, textAsShapes`

### Constructor Summary

Constructors
Constructor and Description
`PSSVGGraphics2D(boolean textAsShapes)` Create a new Graphics2D that generates PostScript code.
`PSSVGGraphics2D(boolean textAsShapes, org.apache.xmlgraphics.ps.PSGenerator gen)` Create a new Graphics2D that generates PostScript code.
`PSSVGGraphics2D(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g)` Constructor for creating copies

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `applyPaint(Paint paint, boolean fill)`
`Graphics` `create()` Creates a new `Graphics` object that is a copy of this `Graphics` object.

### Methods inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D

`applyStroke, applyStroke, buildBufferedImage, copyArea, disableClipping, dispose, doDrawing, draw, drawImage, drawImage, drawImage, drawImage, drawRenderableImage, drawRenderedImage, drawString, establishColor, fill, getCustomTextHandler, getDeviceConfiguration, getFallbackTextHandler, getFontMetrics, getPSGenerator, handleIOException, preparePainting, processPathIterator, processPathIteratorCached, processPathIteratorToString, processShape, setCustomTextHandler, setGraphicContext, setPSGenerator, setXORMode, shouldBeClipped, writeClip`

### Methods inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D

`addRenderingHints, clearRect, clip, clipRect, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRoundRect, drawString, drawString, drawString, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getFont, getFontRenderContext, getGraphicContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, shear, transform, translate, translate`

### Methods inherited from class java.awt.Graphics2D

`draw3DRect, fill3DRect`

### Methods inherited from class java.awt.Graphics

`create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PSSVGGraphics2D

    public PSSVGGraphics2D(boolean textAsShapes)

Create a new Graphics2D that generates PostScript code.

Parameters:
  `textAsShapes` - True if text should be rendered as graphics
See Also:
  `AbstractGraphics2D.AbstractGraphics2D(boolean)`

#### PSSVGGraphics2D

    public PSSVGGraphics2D(boolean textAsShapes,
                           org.apache.xmlgraphics.ps.PSGenerator gen)

Create a new Graphics2D that generates PostScript code.

Parameters:
  `textAsShapes` - True if text should be rendered as graphics
  `gen` - PostScript generator to use for output
See Also:
  `AbstractGraphics2D.AbstractGraphics2D(boolean)`

#### PSSVGGraphics2D

    public PSSVGGraphics2D(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g)

Constructor for creating copies

Parameters:
  `g` - parent PostScript Graphics2D

### Method Detail

#### applyPaint

    protected void applyPaint(Paint paint,
                              boolean fill)

Overrides:
  `applyPaint` in class `org.apache.xmlgraphics.java2d.ps.PSGraphics2D`

#### create

    public Graphics create()

Creates a new `Graphics` object that is a copy of this `Graphics` object.

Overrides:
  `create` in class `org.apache.xmlgraphics.java2d.ps.PSGraphics2D`
Returns:
  a new graphics context that is a copy of this graphics context.